Get a review
curl --request GET \
--url https://api.app.hrizn.io/v1/public/social/reviews/{id} \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.app.hrizn.io/v1/public/social/reviews/{id}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.app.hrizn.io/v1/public/social/reviews/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.app.hrizn.io/v1/public/social/reviews/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.app.hrizn.io/v1/public/social/reviews/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"review_id": "<string>",
"location_id": "<string>",
"location_name": "<string>",
"profile_display_name": "<string>",
"reviewer_display_name": "<string>",
"star_rating": 3,
"comment": "<string>",
"create_time": "2023-11-07T05:31:56Z",
"update_time": "2023-11-07T05:31:56Z",
"reply_comment": "<string>",
"reply_update_time": "2023-11-07T05:31:56Z",
"review_url": "<string>",
"account_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"responses": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"response_text": "<string>",
"posted_at": "2023-11-07T05:31:56Z",
"error_message": "<string>"
}
]
}
}{
"error": {
"code": "validation_error",
"message": "keyword: Required",
"details": {},
"request_id": "<string>"
}
}{
"error": {
"code": "validation_error",
"message": "keyword: Required",
"details": {},
"request_id": "<string>"
}
}{
"error": {
"code": "validation_error",
"message": "keyword: Required",
"details": {},
"request_id": "<string>"
}
}Get review
Get a single review with its responses
GET
/
social
/
reviews
/
{id}
Get a review
Returns a single review along with any saved or published reply drafts.
Scope required:
social:readAuthorizations
Your Hrizn API key (prefix hzk_)
Path Parameters
Review id
Response
The review
Hide child attributes
Hide child attributes
Available options:
googlebusiness, facebook Upstream platform review identifier
Required range:
1 <= x <= 5Last modified on June 30, 2026
⌘I
